Get the workspace SSO integration

Returns the AuthIntegration document for the workspace, or null when SSO has never been configured.

config.clientSecret is always masked as 64 * characters — the real secret is never returned by the API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
curl -X GET 'https://apis.elai.io/api/v1/sso' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
{
  "_id": "66a1f0c2b7cd13032a9c6001",
  "protocol": "oidc",
  "integrationId": "b7Kc2Lm9Qp4Rt6Vx",
  "accountId": "627a7bfac1806e45fa2ab26f",
  "config": {
    "issuer": "https://login.example.com",
    "clientId": "elai-web",
    "clientSecret": "****************************************************************"
  },
  "authByInvite": false,
  "anonymizeUsers": false,
  "redirectUrl": "https://app.example.com/after-login"
}
Responses

null if none exists.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json